[@rxap/form-system](../wiki/globals) / ExtractIsValueFunctionMixin

# Class: ExtractIsValueFunctionMixin

Defined in: [packages/angular/form-system/src/lib/mixins/extract-is-value-function.mixin.ts:31](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-is-value-function.mixin.ts#L31)

## Extends

- [`ExtractFormDefinitionMixin`](../wiki/Class.ExtractFormDefinitionMixin).[`ExtractFunctionMixin`](../wiki/Class.ExtractFunctionMixin).[`ExtractControlMixin`](../wiki/Class.ExtractControlMixin)

## Extended by

- [`AutocompleteOptionsFromMethodDirective`](../wiki/Class.AutocompleteOptionsFromMethodDirective)

## Constructors

### new ExtractIsValueFunctionMixin()

> **new ExtractIsValueFunctionMixin**(): [`ExtractIsValueFunctionMixin`](../wiki/Class.ExtractIsValueFunctionMixin)

#### Returns

[`ExtractIsValueFunctionMixin`](../wiki/Class.ExtractIsValueFunctionMixin)

#### Inherited from

[`ExtractControlMixin`](../wiki/Class.ExtractControlMixin).[`constructor`](../wiki/Class.ExtractControlMixin#constructors)

## Properties

### control?

> `protected` `optional` **control**: `RxapFormControl`\<`any`, `any`, `any`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:14](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L14)

#### Inherited from

[`ExtractControlMixin`](../wiki/Class.ExtractControlMixin).[`control`](../wiki/Class.ExtractControlMixin#control)

***

### injector

> `protected` **injector**: `Injector`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts:18](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts#L18)

#### Inherited from

[`ExtractFunctionMixin`](../wiki/Class.ExtractFunctionMixin).[`injector`](../wiki/Class.ExtractFunctionMixin#injector)

***

### matFormField?

> `protected` `optional` **matFormField**: `null` \| `MatFormField`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:12](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L12)

#### Inherited from

[`ExtractControlMixin`](../wiki/Class.ExtractControlMixin).[`matFormField`](../wiki/Class.ExtractControlMixin#matformfield)

***

### ngControl

> `protected` **ngControl**: `null` \| `NgControl` \| `AbstractControlDirective`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:10](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L10)

#### Inherited from

[`ExtractControlMixin`](../wiki/Class.ExtractControlMixin).[`ngControl`](../wiki/Class.ExtractControlMixin#ngcontrol)

## Methods

### extractControl()

> `protected` **extractControl**(`ngControl`): `RxapFormControl`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:16](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L16)

#### Parameters

##### ngControl

`null` | `NgControl` | `AbstractControlDirective`

#### Returns

`RxapFormControl`

#### Inherited from

[`ExtractControlMixin`](../wiki/Class.ExtractControlMixin).[`extractControl`](../wiki/Class.ExtractControlMixin#extractcontrol)

***

### extractFormDefinition()

> `protected` **extractFormDefinition**(`control`): `FormDefinition`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts:10](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts#L10)

#### Parameters

##### control

`AbstractControl`

#### Returns

`FormDefinition`

#### Inherited from

[`ExtractFormDefinitionMixin`](../wiki/Class.ExtractFormDefinitionMixin).[`extractFormDefinition`](../wiki/Class.ExtractFormDefinitionMixin#extractformdefinition)

***

### extractFunction()

> **extractFunction**\<`Args`, `Result`\>(`defaultFunction`, `formDefinition`, `controlId`, `name`): [`UseFunctionType`](../wiki/TypeAlias.UseFunctionType)\<`Args`, `Result`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts:20](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts#L20)

#### Type Parameters

• **Args** *extends* `any`[]

• **Result**

#### Parameters

##### defaultFunction

`null` | [`UseFunctionType`](../wiki/TypeAlias.UseFunctionType)\<`Args`, `Result`\>

##### formDefinition

`FormDefinition`

##### controlId

`string`

##### name

`string`

#### Returns

[`UseFunctionType`](../wiki/TypeAlias.UseFunctionType)\<`Args`, `Result`\>

#### Inherited from

[`ExtractFunctionMixin`](../wiki/Class.ExtractFunctionMixin).[`extractFunction`](../wiki/Class.ExtractFunctionMixin#extractfunction)

***

### extractFunctions()

> `protected` **extractFunctions**(`defaultMap`, `formDefinition`, `controlId`): `Map`\<`string`, [`UseFunctionDefinition`](../wiki/Interface.UseFunctionDefinition)\<`unknown`, `any`[], [`UseFunctionConfig`](../wiki/Interface.UseFunctionConfig)\<`unknown`, `any`[], `any`, `any`[]\>\>\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:43](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts#L43)

#### Parameters

##### defaultMap

`null` | `Map`\<`string`, [`UseFunctionDefinition`](../wiki/Interface.UseFunctionDefinition)\<`unknown`, `any`[], [`UseFunctionConfig`](../wiki/Interface.UseFunctionConfig)\<`unknown`, `any`[], `any`, `any`[]\>\>\>

##### formDefinition

`FormDefinition`

##### controlId

`string`

#### Returns

`Map`\<`string`, [`UseFunctionDefinition`](../wiki/Interface.UseFunctionDefinition)\<`unknown`, `any`[], [`UseFunctionConfig`](../wiki/Interface.UseFunctionConfig)\<`unknown`, `any`[], `any`, `any`[]\>\>\>

#### Inherited from

[`ExtractFunctionMixin`](../wiki/Class.ExtractFunctionMixin).[`extractFunctions`](../wiki/Class.ExtractFunctionMixin#extractfunctions)

***

### extractIsValueFunction()

> `protected` **extractIsValueFunction**(`defaultFunction`, `control`, `formDefinition`): [`UseFunctionType`](../wiki/TypeAlias.UseFunctionType)\<\[`any`\], `boolean`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-is-value-function.mixin.ts:38](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-is-value-function.mixin.ts#L38)

#### Parameters

##### defaultFunction

`null` | [`UseFunctionType`](../wiki/TypeAlias.UseFunctionType)\<\[`any`\], `boolean`\>

##### control

`RxapFormControl` = `...`

##### formDefinition

`FormDefinition`\<`any`, `any`, `any`\> = `...`

#### Returns

[`UseFunctionType`](../wiki/TypeAlias.UseFunctionType)\<\[`any`\], `boolean`\>
